--
-- $Id$
--
-- Post-importscript voor alléén UWVA Opleiding, dus ter uitvoering van de
-- vereiste (AVG-)stappen in deze specifieke omgevingen!

DEFINE thisfile = 'POST-IMP_UWVA_OPLE.SQL'
DEFINE dbuser   = '^UWVA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- UWVA#53856: Alléén Beta en Opleiding!
-- Toegang tot het muteren van persoonsgegevens (PRSUSE) wordt verwijderd bij
-- alle rollen behalve Infobeheer met key=1 en _Admin met key=762. Hierdoor is
-- de prs_perslid_key alleen nog voor deze twee rollen toegankelijk.
DELETE FROM fac_groeprechten
      WHERE fac_functie_key = 32                                     -- PRSUSE
            AND fac_groep_key NOT IN (1, 762);

UPDATE prs_perslid
   SET prs_perslid_telefoonnr = NULL,
       prs_perslid_mobiel = NULL,
       prs_perslid_nr = NULL;

UPDATE prs_kenmerklink
   SET prs_kenmerklink_waarde = '999999'
 WHERE prs_kenmerk_key = 1232                                        -- ABS-ID
       AND prs_kenmerklink_waarde IS NOT NULL;

-- Header prefix etc: worden ingesteld door /cust/custenv.wsc

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
quit
